<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'UM' ) ) {
	return;
}

if ( function_exists( 'um_maybe_unset_time_limit' ) ) {
	um_maybe_unset_time_limit();
}

// Find the difference between WordPress time settings and server mySQL time.
$gmt_time   = strtotime( current_time( 'mysql', true ) );
$local_time = strtotime( current_time( 'mysql' ) );
$time_diff  = $local_time - $gmt_time;
if ( 0 !== $time_diff ) {
	global $wpdb;

	$dates = $wpdb->get_results( "SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE meta_key = 'um_groups_last_active'", ARRAY_A );
	// Set `um_groups_last_active` time in GMT.
	if ( ! empty( $dates ) ) {
		foreach ( $dates as $date_data ) {
			$gmdate = gmdate( 'Y-m-d H:i:s', strtotime( $date_data['meta_value'] ) - $time_diff );
			update_post_meta( $date_data['post_id'], 'um_groups_last_active', $gmdate );
		}
	}
}
